`<fDecl>` | (feature declaration) declares a single feature, specifying its name, organization, range of allowed values, and optionally its default value.
Attributes: |
`name` | indicates the name of the feature being declared; matches the `name` attribute of `<f>` elements in the text.
| Datatype: NMTOKEN
| Values: any string of characters
| Default: #REQUIRED
| Example:
Note |
`org` | (organization) specifies the organizing discipline of the feature value.
| Datatype: (unit | set | bag | list)
| Legal values: |
`unit` | unitary atomic value
`set` | set value (unordered, no duplicates)
`bag` | bag value (unordered, may have duplicates)
`list` | list value (ordered, may have duplicates)
| Default: unit
| Example:
Note |

Example

Note

Tagset auxiliary tag set for feature system declarations
Class
Filename `teifsd2`
Content: May contain character data and phrase-level elements.
Parents fsDecl
Children fDescr vDefault vRange
Declaration

    <!ELEMENT fDecl         - -  (fDescr?, vRange, vDefault?)       >
    <!ATTLIST fDecl              %a.global
              name               NMTOKEN             #REQUIRED
              org                (unit | set | bag | list)
                                                     unit           >

See 26

Back to index